# collada.triangleset.Triangle

class collada.triangleset.Triangle(indices, vertices, normal_indices, normals, texcoord_indices, texcoords, material)

  Single triangle representation.

  __init__(indices, vertices, normal_indices, normals, texcoord_indices, texcoords, material)

    A triangle should not be created manually.

  Methods

  `__init__`(indices, vertices, normal_indices, ...) | A triangle should not be created manually.

  Attributes

  `vertices` | A (3, 3) float array for points in the triangle
  `normals` | A (3, 3) float array with the normals for points in the triangle.
  `texcoords` | A tuple with (3, 2) float arrays with the texture coordinates for the points in the triangle
  `material` | If coming from an unbound `collada.triangleset.TriangleSet`, contains a string with the material symbol.
  `indices` | A (3,) int array with vertex indexes of the 3 vertices in the vertex array
  `normal_indices` | A (3,) int array with normal indexes of the 3 vertices in the normal array
  `texcoord_indices` | A (3,2) int array with texture coordinate indexes of the 3 vertices in the texcoord array.